Package org.drinkless.tdlib

# Class TdApi.CreateNewSupergroupChat

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Chat>
org.drinkless.tdlib.TdApi.CreateNewSupergroupChat

Enclosing class:
  `TdApi`

public static class TdApi.CreateNewSupergroupChat extends TdApi.Function<TdApi.Chat>
Creates a new supergroup or channel and sends a corresponding messageSupergroupChatCreate. Returns the newly created chat.

Returns `Chat`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `description`
  Chat description; 0-255 characters.
  `boolean`
  `forImport`
  Pass true to create a supergroup for importing messages using importMessages.
  `boolean`
  `isChannel`
  Pass true to create a channel chat; ignored if a forum is created.
  `boolean`
  `isForum`
  Pass true to create a forum supergroup chat.
  `TdApi.ChatLocation`
  `location`
  Chat location if a location-based supergroup is being created; pass null to create an ordinary supergroup chat.
  `int`
  `messageAutoDeleteTime`
  Message auto-delete time value, in seconds; must be from 0 up to 365 * 86400 and be divisible by 86400.
  `String`
  `title`
  Title of the new chat; 1-128 characters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateNewSupergroupChat()`
  Default constructor for a function, which creates a new supergroup or channel and sends a corresponding messageSupergroupChatCreate.
  `CreateNewSupergroupChat(String title, boolean isForum, boolean isChannel, String description, TdApi.ChatLocation location, int messageAutoDeleteTime, boolean forImport)`
  Creates a function, which creates a new supergroup or channel and sends a corresponding messageSupergroupChatCreate.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### title

    public String title
    Title of the new chat; 1-128 characters.

  - ### isForum

    public boolean isForum
    Pass true to create a forum supergroup chat.

  - ### isChannel

    public boolean isChannel
    Pass true to create a channel chat; ignored if a forum is created.

  - ### description

    public String description
    Chat description; 0-255 characters.

  - ### location

    public TdApi.ChatLocation location
    Chat location if a location-based supergroup is being created; pass null to create an ordinary supergroup chat.

  - ### messageAutoDeleteTime

    public int messageAutoDeleteTime
    Message auto-delete time value, in seconds; must be from 0 up to 365 * 86400 and be divisible by 86400. If 0, then messages aren't deleted automatically.

  - ### forImport

    public boolean forImport
    Pass true to create a supergroup for importing messages using importMessages.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CreateNewSupergroupChat

    public CreateNewSupergroupChat()
    Default constructor for a function, which creates a new supergroup or channel and sends a corresponding messageSupergroupChatCreate. Returns the newly created chat.

    Returns `Chat`

  - ### CreateNewSupergroupChat

    public CreateNewSupergroupChat(String title, boolean isForum, boolean isChannel, String description, TdApi.ChatLocation location, int messageAutoDeleteTime, boolean forImport)
    Creates a function, which creates a new supergroup or channel and sends a corresponding messageSupergroupChatCreate. Returns the newly created chat.

    Returns `Chat`

    Parameters:
      `title` - Title of the new chat; 1-128 characters.
      `isForum` - Pass true to create a forum supergroup chat.
      `isChannel` - Pass true to create a channel chat; ignored if a forum is created.
      `description` - Chat description; 0-255 characters.
      `location` - Chat location if a location-based supergroup is being created; pass null to create an ordinary supergroup chat.
      `messageAutoDeleteTime` - Message auto-delete time value, in seconds; must be from 0 up to 365 * 86400 and be divisible by 86400. If 0, then messages aren't deleted automatically.
      `forImport` - Pass true to create a supergroup for importing messages using importMessages.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Chat>`
    Returns:
      this.CONSTRUCTOR